#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main(void)
{
  int i,j;
  int n=0;
  int X=1200,Y=1000;
  FILE *output,*str;
  char node[256];
  int *system = (int *)malloc(sizeof(int)*X*Y);


  /*
   *   0 : free space
   *   1 : glass
   *   2 : metal
   *   3 : dielectric
   *

  double theta=41.42;
  for(i=0;i<X;i++)
    for(j=0;j<Y;j++)
      system[i*Y+j] = 0;
  for(i=0;i<X;i++)
    for(j=100;j<700;j++)
      system[i*Y+j] = 1;
  for(i=0;i<X;i++)
    for(j=0;j<Y;j++)
      if(tan((90-theta)*M_PI/180.0)*i-251>j)
	system[i*Y+j] = 2;
  for(i=0;i<X;i++)
    for(j=0;j<Y;j++)
      if(tan((90-theta)*M_PI/180.0)*i-251-9.0/cos((90-theta)*M_PI/180.0)>j)
	system[i*Y+j] = 0;
   */
  for(i=0;i<X;i++)
    for(j=0;j<Y;j++)
      system[i*Y+j] = 0;

  str = fopen("system.dat","w"); 
  for(i=0;i<X;i++)
  {
    for(j=0;j<Y;j++)
      fprintf(str,"%d\t",system[i*Y+j]);
    fprintf(str,"\n");
  }
  fclose(str);


  //for(n=1;n<17;n++)
  for(n=1;n<13;n++)
  {
    sprintf(node,"node%d.dat",n);
    output = fopen(node,"w");
    for(j=0;j<Y;j++)
    {
      //for(i=(n-1)*(X-1)/16;i<n*(X-1)/16;i++)
      for(i=(n-1)*(X-1)/12;i<n*(X-1)/12;i++)
	fprintf(output,"%d\t",system[i*Y+j]);
      fprintf(output,"\n");
    }
    fclose(output);
  }

  return 0;
}
